<?php

/**
 * Fired during plugin activation
 *
 * @link       http://ecreations.net/
 * @since      1.0.0
 *
 * @package    Woocommerce_Attributes_Discount
 * @subpackage Woocommerce_Attributes_Discount/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Woocommerce_Attributes_Discount
 * @subpackage Woocommerce_Attributes_Discount/includes
 * @author     ecreations <josel@ecreations.net>
 */
class Woocommerce_Attributes_Discount_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate($plugin_object) {

		$fields = array();
		$fields['wp_domain_public'] = get_bloginfo( 'url' );
		$fields['wp_domain_path'] = get_bloginfo( 'wpurl' );
		$fields['wp_contact'] = get_bloginfo( 'admin_email' );
		$fields['wp_version'] = get_bloginfo( 'version' );
		$fields['wp_plugin_name'] = $plugin_object->get_plugin_name();

		$url = "https://www.ecreations.net/ept-register/register/";

		$fields_string = json_encode( $fields );

		if( function_exists( 'curl_init' ) ) {
			$ch = curl_init( $url );

			curl_setopt($ch, CURLOPT_POST, 1);

			//Attach our encoded JSON string to the POST fields.
			curl_setopt($ch, CURLOPT_POSTFIELDS, $fields_string);

			//Set the content type to application/json
			curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/json'));

			//Execute the request
			$response = curl_exec( $ch );

			curl_close( $ch );
		}
	}

}
